Package com.enonic.xp.site.mapping

## Class ControllerMappingDescriptor.Builder

- java.lang.Object
- - com.enonic.xp.site.mapping.ControllerMappingDescriptor.Builder

- Enclosing class:
    ControllerMappingDescriptor

      public static class ControllerMappingDescriptor.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ControllerMappingDescriptor` | `build()` |
    `ControllerMappingDescriptor.Builder` | `contentConstraint​(ContentMappingConstraint contentConstraint)` |
    `ControllerMappingDescriptor.Builder` | `contentConstraint​(String contentConstraint)` |
    `ControllerMappingDescriptor.Builder` | `controller​(ResourceKey controller)` |
    `ControllerMappingDescriptor.Builder` | `filter​(ResourceKey filter)` |
    `ControllerMappingDescriptor.Builder` | `invertPattern​(boolean invertPattern)` |
    `ControllerMappingDescriptor.Builder` | `order​(int order)` |
    `ControllerMappingDescriptor.Builder` | `pattern​(String pattern)` |
    `ControllerMappingDescriptor.Builder` | `pattern​(Pattern pattern)` |
    `ControllerMappingDescriptor.Builder` | `service​(String service)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### service

          public ControllerMappingDescriptor.Builder service​(String service)

    - #### controller

          public ControllerMappingDescriptor.Builder controller​(ResourceKey controller)

    - #### filter

          public ControllerMappingDescriptor.Builder filter​(ResourceKey filter)

    - #### pattern

          public ControllerMappingDescriptor.Builder pattern​(Pattern pattern)

    - #### pattern

          public ControllerMappingDescriptor.Builder pattern​(String pattern)

    - #### invertPattern

          public ControllerMappingDescriptor.Builder invertPattern​(boolean invertPattern)

    - #### contentConstraint

          public ControllerMappingDescriptor.Builder contentConstraint​(ContentMappingConstraint contentConstraint)

    - #### contentConstraint

          public ControllerMappingDescriptor.Builder contentConstraint​(String contentConstraint)

    - #### order

          public ControllerMappingDescriptor.Builder order​(int order)

    - #### build

          public ControllerMappingDescriptor build()